/* Start: CSS RESET */
html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed, 
figure, figcaption, footer, header, hgroup, 
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
	margin: 0;
	padding: 0;
	border: 0;
	font-size: 100%;
	vertical-align: baseline;
}

/* HTML5 display-role reset for older browsers */
article, aside, details, figcaption, figure, 
footer, header, hgroup, menu, nav, section {
	display: block;
}

body {
  line-height: 1.5;
  font-family: Arial, sans-serif;
  color: var(--black);
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

html {
  font-size: 16px;
}

:root {
  /* Brand Colors */
  --red: #811622;
  --blue: #006281;

  /* Neutral Colors */
  --white: #ffffff;
  --black: #000000;
  --gray: #e6e6e6;
  --dark-gray: #aaaaaa;

  /* Accessibility Colors */
  --focus-outline: #4285f4;
  --error-red: #cc0000;

  /* Module Colors */
  --module-blue: #29728d;
  --module-light-blue: #e6f0f3;
}

h1, .h1, h2, .h2, h3, .h3, h4, .h4, h5, .h5, h6, .h6 {
  font-weight: 600;
  line-height: 1.2;
}

p {
  margin-top: 0;
  margin-bottom: 1rem;
}

ol, ul {
	list-style: none;
}

blockquote, q {
	quotes: none;
}

blockquote:before, blockquote:after,
q:before, q:after {
	content: '';
	content: none;
}

* {
  box-sizing: border-box;
}

img, picture, video, canvas, svg {
  display: block;
  max-width: 100%;
}

input, button, textarea, select {
  font: inherit;
}

/* Start: CCRCORP SITES SIDENAV */
.ccrcorp-sites-nav {
  position: relative;
  width: 1240px;
  background-color: var(--gray);
  margin: 0 auto;
  padding: 2px 10px;
  font-size: 15px;
  z-index: 4;
}

.ccrcorp-sites-nav button {
  display: inline-flex;
  gap: 8px;
  cursor: pointer;
}

.ccrcorp-sites-toggle {
  background: none;
  border: none;
  padding: 0;
  cursor: pointer;
}

.sidenav {
  position: fixed;
  top: 27px;
  left: 0;
  width: 100%;
  max-width: 600px;
  height: 100vh;
  background-color: var(--white);
  overflow-x: hidden;
  overflow-y: auto;
  transform: translateX(-100%);
  transition: transform 0.5s ease;
  z-index: 3;
  scrollbar-width: thin;
}

.sidenav.open {
  transform: translateX(0);
  box-shadow: 5px 30px 30px rgba(0, 0, 0, 0.2);
}

.sidenav-open {
  pointer-events: none;
  overflow: hidden;
}

.sidenav-open #sidenav {
  pointer-events: all;
}

.sidenav-container .close-sidenav-btn {
  text-align: right;
}

.sidenav-container {
  width: 1240px;
  max-width: 100%;
  margin: 0 auto;
  padding: 8px;
  box-sizing: border-box;
}

.sidenav-content {
  max-width: 600px;
  margin: 0 auto;
  padding: 20px;
  padding-bottom: 70px;
  box-sizing: border-box;
}

.sidenav-items {
  display: flex;
  flex-direction: column;
  gap: 32px;
}

.sidenav-item {
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 24px;
}

@media (max-width: 576px) {
  .sidenav-items {
    gap: 46px;
  }

  .sidenav-item {
    flex-wrap: wrap;
    gap: 12px;
  }
}

#toggle-sidenav-btn img {
  transition: 0.4s all;
}

#toggle-sidenav-btn[aria-expanded="true"] img {
  transform: rotate(270deg);
}

/* Start: ALERT */
.alert-hidden {
  display: none;
}

.alert-content {
  width: 1240px;
  background-color: var(--red);
  margin: 0 auto;
  padding: 0 10px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 8px;
  padding: 8px 10px;
  color: var(--white);
  font-size: 15px;
  line-height: 1;
}

/* Start: BUTTONS */
.close-alert-btn,
.close-sidenav-btn {
  background: none;
  border: none;
  padding: 0;
  cursor: pointer;
}

.primary-btn {
  display: inline-block;
  white-space: nowrap;
  padding: 8px 20px;
  color: var(--white);
  background-color: var(--blue);
  cursor: pointer;
}

.primary-btn:hover,
.primary-btn:focus-visible,
.primary-btn:visited {
  color: var(--white);
  text-decoration: none;
}

/* Start: MAIN CONTAINER & HEADER */
.main-container-2025 {
  width: 1240px;
  /* For Responsivness */
  /* max-width: 1240px; */
  margin: 0 auto;
  padding: 0 10px;
  position: relative;
}

.main-content {
  display: flex;
  gap: 24px;
}

.main-header-2025 {
  position: relative;
  padding: 28px 0;
  /* float: left; */
  width: 100%;
  z-index: 2;
  background-color: var(--white);
}

/* Start: MEMBER LOGIN */
.websitelogin_table {
  width: 100%;
}

.websitelogin_feedback {
  font-size: 12px;
  color: var(--error-red);
}

.websitelogin_textboxcell input {
  padding: 6px;
  border: 1px solid var(--gray);
  width: 100%;
  font-size: 12px;
  box-sizing: border-box;
}

.websitelogin_labelcell,
.websitelogin_textboxcell {
  padding: 4px;
  text-align: right;
}

.websitelogin_labelcell {
  width: 70px;
}

.websitelogin_checkbox {
  display: flex;
  align-items: center;
}

.websitelogin_checkbox input[type="checkbox"] {
  margin-right: 5px;
  position: relative;
  vertical-align: text-bottom;
  bottom: 1px;
}

.websitelogin_checkbox label {
  font-size: 12px;
}

.websitelogin_label {
  font-size: 12px;
}

.websitelogin_button {
  font-size: 12px;
  margin-left: 10px;
  padding: 8px 12px;
  border: 1px solid var(--gray);
}

.websitelogout_button {
  font-size: 12px;
  padding: 8px 12px;
  border: 1px solid var(--gray);
  cursor: pointer;
}

.websitelogin_reminderlink {
  font-size: 12px;
  margin-left: 15px;
  display: inline-block;
  margin-top: 8px;
}

/* Start: MAIN CONTENT */
#LeftColWrapper {
  flex: 0 0 29%;
  max-width: 29%;
  min-width: 200px;
  display: flex;
  flex-direction: column;
  gap: 24px;
}

#MiddleColWrapper {
  flex: 1 1 0;
  min-width: 0;
  display: flex;
  flex-direction: column;
  gap: 24px;
}

#RightColWrapper {
  flex: 0 0 25%;
  max-width: 25%;
  min-width: 200px;
  display: flex;
  flex-direction: column;
  gap: 24px;
}

/* Start: MODULES */
.module {
  width: 100%;
  list-style: none;
}

.module li {
  font-size: 14px;
}

.module-top h2 {
  font-size: 16px;
  margin: 0;
  color: var(--white);
  text-decoration: none;
}

.module-top a {
  color: var(--white);
  font-size: 12px;
  font-weight: 600;
}

.module-top {
  border-top-left-radius: 4px;
  border-top-right-radius: 4px;
  overflow: hidden;
  background-color: var(--module-blue);
  padding: 6px 8px;
}

.module-bottom {
  padding: 16px;
  border: thin solid var(--module-blue);
  border-top: 0;
}

.module-bottom ul li {
  margin-bottom: 16px;
}

.module-bottom ul ul li {
  margin-bottom: 8px;
}

.module-bottom.blogs ul li, 
.module-bottom.newsletter ul li, 
.module-bottom.essential-resources ul li {
  margin-bottom: 10px;
}

.module-bottom ul li:last-child {
  margin-bottom: 0;
}

/* Start: FOOTER */
footer {
  padding: 40px 0;
  background: var(--gray);
  margin-top: 40px;
}

.footer-wrapper {
  display: flex;
  flex-wrap: wrap;
}

.footer-column {
  display: flex;
  justify-content: center;
  max-width: 25%;
  width: 100%;
}

.footer-column-items {
  display: flex;
  flex-direction: column;
  gap: 12px;
}

.footer-column:first-child .footer-column-items {
  gap: 20px;
}

.footer-column-items p {
  font-size: 14px;
}

.footer-column-items h3 {
  font-size: 14px;
  font-weight: 600;
  color: var(--black);
}

.footer-column-items ul {
  display: flex;
  flex-direction: column;
  gap: 8px;
  font-size: 14px;
}

.footer-column-items:last-of-type h3:nth-of-type(2) {
  margin-top: 20px;
}

.footer-column:not(:first-child) {
  border-left: 1px solid var(--dark-gray);
}

/* Unfinished Mobile Styles */
/* @media (max-width: 992px) {
  .main-content {
    flex-direction: column;
    gap: 16px;
  }

  .top-content-left,
  .top-content-right {
    max-width: 100%;
    flex-basis: 100%;
    min-width: 0;
  }

  .main-content-left,
  .main-content-right,
  .main-content-center {
    max-width: 100%;
    flex-basis: 100%;
    min-width: 0;
  }
} */
